maven-enforcer-api-1.0.1-4.jpp6.noarch.rpm


Advertisement

Description

maven-enforcer-api - Enforcer API

Property Value
Distribution RPM Universal
Repository JPackage 6.0 all
Package filename maven-enforcer-api-1.0.1-4.jpp6.noarch.rpm
Package name maven-enforcer-api
Package version 1.0.1
Package release 4.jpp6
Package architecture noarch
Package type rpm
Homepage -
License -
Maintainer -
Download size 8.48 KB
Installed size 8.22 KB
This component provides the generic interfaces needed to
implement custom rules for the maven-enforcer-plugin.

Alternatives

Package Version Architecture Repository
maven-enforcer-api-1.0.1-5.jpp6.noarch.rpm 1.0.1 noarch JPackage 6.0
maven-enforcer-api - - -

Requires

Name Value
maven-enforcer = 1.0.1-4.jpp6

Provides

Name Value
maven-enforcer-api = 1.0.1-4.jpp6

Download

Type URL
Mirror mirrors.dotsrc.org
Binary Package maven-enforcer-api-1.0.1-4.jpp6.noarch.rpm
Source Package maven-enforcer-1.0.1-4.jpp6.src.rpm

Install Howto

Fedora, CentOS, RHEL:
  1. Download latest jpackage-release rpm from
    http://mirrors.dotsrc.org/jpackage/6.0/generic/free/RPMS/
  2. Install jpackage-release rpm:
    # rpm -Uvh jpackage-release*rpm
  3. Install maven-enforcer-api rpm package:
    # yum install maven-enforcer-api
openSUSE:
  1. Add the JPackage 6.0 repository:
    # zypper addrepo http://mirrors.dotsrc.org/jpackage/6.0/generic/free/ jpackage-6.0
  2. Install maven-enforcer-api rpm package:
    # zypper install maven-enforcer-api
Mandriva, Mageia:
  1. Add the JPackage 6.0 repository:
    # urpmi.addmedia jpackage-6.0 http://mirrors.dotsrc.org/jpackage/6.0/generic/free/ with hdlist.cz
  2. Update packages list:
    # urpmi.update -a
  3. Install maven-enforcer-api rpm package:
    # urpmi maven-enforcer-api

Files

Path
/etc/maven/fragments/enforcer-api
/usr/share/java/enforcer-api-1.0.1.jar
/usr/share/java/enforcer-api.jar
/usr/share/maven2/poms/JPP-enforcer-api.pom

Changelog

2012-06-04 - Ralph Apel <r.apel@r-apel.de> 1.0.1-4
- Obsolete maven2-plugin-enforcer <= 1:1.0.1
2012-01-23 - Ralph Apel <r.apel@r-apel.de> 1.0.1-3
- If depmaps belong to subpackages, each one needs update_maven_depmap
- State minimal versions for jpackage-utils, java-devel, java
- Switch to apache-commons
2011-10-12 - David Walluck <dwalluck@redhat.com> 1.0.1-2
- add poms and depmaps to subpackages
- fix Group
- enable tests
2011-09-19 - David Walluck <dwalluck@redhat.com> 1.0.1-1
- 1.0.1
2010-03-29 - David Walluck <dwakkuck@redhat.com> 0:1.0-0.1.a4.1.2
- disable tests
- fix file/directory ownership
2009-09-02 - Deepak Bhole <dbhole@redhat.com> 1.0-0.1.a4.1.1
- Initial build

See Also

Package Description
maven-enforcer-javadoc-1.0.1-4.jpp6.noarch.rpm Javadoc for maven-enforcer
maven-enforcer-javadoc-1.0.1-5.jpp6.noarch.rpm Javadoc for maven-enforcer
maven-enforcer-plugin-1.0.1-4.jpp6.noarch.rpm Enforcer Rules
maven-enforcer-plugin-1.0.1-5.jpp6.noarch.rpm Enforcer Rules
maven-enforcer-rule-api-1.0-0.1.a2.1.3.jpp6.noarch.rpm Generic interfaces needed by maven-enforcer-plugin
maven-enforcer-rule-api-javadoc-1.0-0.1.a2.1.3.jpp6.noarch.rpm Javadoc for maven-enforcer-rule-api
maven-enforcer-rules-1.0.1-4.jpp6.noarch.rpm Enforcer Rules
maven-enforcer-rules-1.0.1-5.jpp6.noarch.rpm Enforcer Rules
maven-failsafe-plugin-2.7.2-1.jpp6.noarch.rpm Failsafe plugin for maven
maven-failsafe-plugin-2.7.2-2.jpp6.noarch.rpm Failsafe plugin for maven
maven-gpg-plugin-1.4-1.jpp6.noarch.rpm Sign artifacts with GnuPG
maven-gpg-plugin-javadoc-1.4-1.jpp6.noarch.rpm Javadoc for maven-gpg-plugin
maven-help-plugin-2.1.1-1.jpp6.noarch.rpm Get information about project or system
maven-help-plugin-2.1.1-2.jpp6.noarch.rpm Get information about project or system
maven-help-plugin-javadoc-2.1.1-1.jpp6.noarch.rpm Javadoc for maven-help-plugin
Advertisement
Advertisement